Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Token Migration

Migrate Mastercard tokens

post

Migrate mastercard M4M tokens to Secure Card on File

ETP contacts the Scheme TSP to migrate the network token.

Path parameters
oldTokenIdstring · max: 128Required

Old token identifier.

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · min: 1 · max: 36Required

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Responses
201

OK

application/json
newTokenIdstring · min: 1 · max: 128Required

The token identifier.

Pattern: ^[a-zA-Z0-9_-]+$
cardLastDigitsstring · max: 5Optional

The card last digits.

Example: 2366
cardExpiryDatestring · max: 4Optional

The card expiry date in format MMYY.

Example: 0420
tokenStatestring · enum · max: 64Required

Token state.

Example: ACTIVEPossible values:
tokenLastDigitsstring · max: 5Optional

The token last digits.

Example: 5589
tokenExpiryDatestring · max: 4Optional

The token expiry date in format MMYY. This information can be missing. It is intended for display only at this step.
Rely on token expiry date in create transaction response for storage.

Example: 1022
parstring · max: 29Optional

Payment Account Reference returned by the Scheme TSP.

Example: 5001a9f027e5629d11e3949a0800a
creationTimestampstring · max: 64Required

Token creation timestamp compliant with ISO 8601.

Example: 2025-11-10T09:08:24.479Z
post/tokens/migration/{oldTokenId}
POST /tsh-cof/tokens/migration/{oldTokenId} HTTP/1.1
Host: thales.api.com
authorization: text
x-correlation-id: text
Accept: */*
{
  "newTokenId": "COFTG-MS-ce464906-cf39-4990-b4a8-c160e67c603a",
  "cardLastDigits": "2366",
  "cardExpiryDate": "0426",
  "tokenLastDigits": "5589",
  "tokenExpiryDate": "1036",
  "tokenState": "ACTIVE",
  "par": "5001a9f027e5629d11e3949a0800a",
  "cardProduct": {
    "issuerName": "Bank Name",
    "cardType": "DEBIT",
    "cardDescription": "The card description.",
    "cardArts": {
      "foregroundColor": "7FB8C8",
      "cardImageUrl": "https://stage.assets.mc.com/card-art/combined-image-asset/MyBank-mastercard.png"
    }
  },
  "creationTimestamp": "2025-11-10T09:08:24.479Z"
}

Last updated

Was this helpful?